
QGIS Application - Bug report #9519

Rollback operations slow if lots of features changed

2014-02-09 04:23 AM - Matthias Kuhn

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 18109

Description

To reproduce:

    -  Open a layer with a big amount of features (...and with a slow backend)

    -  Start editing

    -  Open the field calculator

    -  Create a new column (e.g. "rand( 1, 10 )" )

    -  Stop editing without saving changes

It takes a long time to undo this command and QGIS freezes during this time. As far as I can tell, there are feature requests made for

every single feature which was updated before (so all in the case mentioned above).

I could imagine a possible approach would be to batch undo the affected rows and perform a single request with setFilterFids() to still only

request the required rows, but with less roundtrips.

Related issues:

Related to QGIS Application - Bug report # 9315: Field Calculator, slow perfo... Closed 2014-01-09

Duplicates QGIS Application - Bug report # 9509: Discarding edits freezes qgi... Closed 2014-02-07

History

#1 - 2014-02-09 05:22 AM - Jürgen Fischer

duplicate of #9509?

#2 - 2014-02-09 09:16 AM - Matthias Kuhn

- Resolution set to duplicate

- Status changed from Open to Closed

I think so. Closing as duplicate.
